export default {
  functionTransitionOption: [
    { name: 'turnOnQuickSwitch', value: '/V1.0/scene/setQuickSwitch?state=on' },
    { name: 'turnOffQuickSwitch', value: '/V1.0/scene/setQuickSwitch?state=off' },
    { name: 'turnOnOffQuickSwitch', value: '/V1.0/scene/setQuickSwitch' },
    { name: 'setTransitionEffect', value: '/V1.0/scene/setTransitionAnimation', paramsKey: { name: 'cut' } },
    { name: 'setTransitionDuration', value: '/V1.0/scene/setTransitionDuration', paramsKey: { duration: '200' } },
    { name: 'setFtbTransitionEffect', value: '/V1.0/scene/setFTBDuration', paramsKey: { duration: '1000' } },
  ],
  transitionEffectList: [
    { label: 'transitionDirectSwitch', value: 'cut', type: 'direct' },
    { label: 'transitionGradienttSwitch', value: 'fade', type: 'gradient' },
    { label: 'transitionDipSwitch', value: 'dip', type: 'dip' },
    { label: 'transitionWipeSwitch', value: 'wipe', type: 'wipe' },
    { label: 'transitionDveSwitch', value: 'dve', type: 'dve' },
    { label: 'transitionStingerSwitch', value: 'stinger', type: 'stinger' },
    { label: 'transitionThreeDSwitch', value: '3d', type: 'threeD' },
  ],
  devOption: [
    { name: 'dev-push-up', value: '/V1.0/scene/selectDvePattern?pattern=0' },
    { name: 'dev-push-down', value: '/V1.0/scene/selectDvePattern?pattern=1' },
    { name: 'dev-push-left', value: '/V1.0/scene/selectDvePattern?pattern=2' },
    { name: 'dev-push-right', value: '/V1.0/scene/selectDvePattern?pattern=3' },
    { name: 'dev-push-upper-left', value: '/V1.0/scene/selectDvePattern?pattern=4' },
    { name: 'dev-push-upper-right', value: '/V1.0/scene/selectDvePattern?pattern=5' },
    { name: 'dev-push-down-left', value: '/V1.0/scene/selectDvePattern?pattern=6' },
    { name: 'dev-push-down-right', value: '/V1.0/scene/selectDvePattern?pattern=7' },
    { name: 'dev-squeeze-up', value: '/V1.0/scene/selectDvePattern?pattern=8' },
    { name: 'dev-squeeze-down', value: '/V1.0/scene/selectDvePattern?pattern=9' },
    { name: 'dev-squeeze-left', value: '/V1.0/scene/selectDvePattern?pattern=10' },
    { name: 'dev-squeeze-right', value: '/V1.0/scene/selectDvePattern?pattern=11' },
    { name: 'dev-squeeze-upper-left', value: '/V1.0/scene/selectDvePattern?pattern=12' },
    { name: 'dev-squeeze-upper-right', value: '/V1.0/scene/selectDvePattern?pattern=13' },
    { name: 'dev-squeeze-down-left', value: '/V1.0/scene/selectDvePattern?pattern=14' },
    { name: 'dev-squeeze-down-right', value: '/V1.0/scene/selectDvePattern?pattern=15' },
    { name: 'dev-squeeze-horizontal', value: '/V1.0/scene/selectDvePattern?pattern=16' },
    { name: 'dev-squeeze-vertical', value: '/V1.0/scene/selectDvePattern?pattern=17' },
    { name: 'dev-squeeze-center', value: '/V1.0/scene/selectDvePattern?pattern=18' },
  ],
  threeDOption: [
    { name: 'threeD_flip', value: '/V1.0/scene/select3DPattern?pattern=0' },
    { name: 'threeD_cube', value: '/V1.0/scene/select3DPattern?pattern=1' },
    { name: 'threeD_frame', value: '/V1.0/scene/select3DPattern?pattern=2' },
    { name: 'threeD_louver', value: '/V1.0/scene/select3DPattern?pattern=3' },
    { name: 'threeD_open_door', value: '/V1.0/scene/select3DPattern?pattern=4' },
    { name: 'threeD_strip', value: '/V1.0/scene/select3DPattern?pattern=5' },
    { name: 'threeD_swap', value: '/V1.0/scene/select3DPattern?pattern=6' },
    { name: 'threeD_mosaic', value: '/V1.0/scene/select3DPattern?pattern=7' },
  ],
  stringerOption: [
    { name: 'stinger_1', value: '/V1.0/scene/selectStingerFile?index=1' },
    { name: 'stinger_2', value: '/V1.0/scene/selectStingerFile?index=2' },
    { name: 'stinger_3', value: '/V1.0/scene/selectStingerFile?index=3' },
    { name: 'stinger_4', value: '/V1.0/scene/selectStingerFile?index=4' },
  ]
}
